/*
 * Color.h
 *
 *  Created on: 18.12.2013
 *      Author: Georg Semmler
 */
#ifndef COLOR_H_
#define COLOR_H_
#include <iostream>
#include <string>

namespace GST {
	namespace Parsers {

		class Color {
			private:
				float R;
				float G;
				float B;
			public:
				Color();
				Color(float R, float G, float B);
				Color(std::string name);
				float getRed();
				float getGreen();
				float getBlue();
				void print();
		};

	} /* namespace Parsers */
} /* namespace GST */

#endif /* COLOR_H_ */
